PHP‘date_from_ISO8601()’函数缓冲区溢出漏洞 CVE-2014-8626 CNNVD-201411-256

7.5 AV AC AU C I A
发布: 2014-11-23
修订: 2015-04-30

PHP(PHP:Hypertext Preprocessor,PHP:超文本预处理器)是PHP Group和开放源代码社区共同维护的一种开源的通用计算机脚本语言。该语言主要用于Web开发,支持多种数据库及操作系统。 PHP 5.2.7之前版本的ext/xmlrpc/libxmlrpc/xmlrpc.c文件中的‘date_from_ISO8601’函数存在基于栈的缓冲区溢出漏洞,该漏洞源于日期中包含‘timezone’字段时,程序没有正确执行XML-RPC编码。远程攻击者可利用该漏洞造成拒绝服务或执行任意代码。

0%
暂无可用Exp或PoC
当前有7条受影响产品信息